Bug 91294 - [PATCH] textproc/dict: install .sample for configuration files
Summary: [PATCH] textproc/dict: install .sample for configuration files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: dd
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-04 05:00 UTC by Rong-En Fan
Modified: 2006-01-07 23:32 UTC (History)
1 user (show)

See Also:


Attachments
dict-1.10.4_1.patch (1.28 KB, patch)
2006-01-04 05:00 UTC, Rong-En Fan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rong-En Fan 2006-01-04 05:00:12 UTC
This port installs etc/dict.conf everytime and removes it 
even if this file is changed.

Bump PORTREVISION since package contents are changed.

Port maintainer (dd@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.63

Fix: Changes follow Porters' Handbook 7.3 Configuration files.
How-To-Repeat: install textproc/dict, change dict.conf, pkg_delete it.
Then, etc/dict.conf is gone.
Comment 1 Edwin Groothuis freebsd_committer 2006-01-04 05:48:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dd

Over to maintainer 

http://www.freebsd.org/cgi/query-pr.cgi?pr=91294 

Adding to audit trail from misfiled PR ports/91296:

Date: Wed, 4 Jan 2006 05:08:58 +0000
Comment 2 Rong-En Fan 2006-01-04 06:40:04 UTC
> This config file is required for proper operation. Installing it as
> .sample will require the user to rename it to use the program. That is
> unacceptable. Perhaps the port should just be changed not to remove

Yes, I know that dict.conf is required for dict to work correctly.
So, my change installs both .sample and dict.conf, which the latter is
installed if there is no dict.conf.

> the file if there have been any changes to it? (I thought it was
> already doing that, but haven't tested recently.)

your post-install looks good, but dict.conf is in pkg-plist,
so pkg_delete removes it unconditionally.

Best,
Rong-En Fan
Comment 3 dd freebsd_committer 2006-01-07 23:31:47 UTC
State Changed
From-To: open->closed

Committed, thanks!